#!/bin/bash -e

# 检查是否有足够的参数传入
if [ "$#" -ne 1 ]; then
    echo "Usage: $0 <version>"
    exit 1
fi

version=$1
suite=mantic-porting

# 寻找 git 仓库根目录
root_dir=$(git rev-parse --show-toplevel)
if [ -z "$root_dir" ]; then
    echo "Error: Must be run inside a git repository"
    exit 1
fi

# 跳转到 git 仓库根目录
cd "$root_dir"

# 使用参数化的版本和其他配置执行 gbp dch
gbp dch -c --debian-branch=bianbu-23.10 --new-version=$version --distribution=$suite --force-distribution

# 构建包
gbp buildpackage --git-upstream-tree=upstream-23.10 --git-no-pristine-tar --git-force-create --git-compression=xz --git-debian-branch=bianbu-23.10 --git-builder="dpkg-source -Zxz -b . && dpkg-genchanges -S -sa -O../gcc-13_${version}_source.changes" --git-postbuild='dpkg-source -Zxz --after-build .'

